Support » Plugin: Easy Footnotes » Gutenberg support

  • kdetmold

    (@basti743)


    Hello,

    this plugin looks really cool.

    However, it doesn’t seem to be compatible with Gutenberg yet. That’s really sad, because we’re planning to use Gutenberg for our upcoming projects, since it will be the state of the art editor for upcoming WordPress sites.

    It would be really cool if you take a look at your plugin and maybe make it compatible with Gutenberg. I’m sure it would be enough to make it at least compatible, without implementing the Block API.

    Thank you and good luck 🙂

Viewing 1 replies (of 1 total)
  • Plugin Author Jason Yingling

    (@yingling017)

    Hi there,

    The Easy Footnotes shortcode is compatible with the Gutenberg editor. You’re able to use it inline with the paragraph block.

    I haven’t had a chance to test with the RC1 of WordPress 5.0 that just came out due to the holidays.

    I do have plans to add a block for the footnote list but I’m waiting for a the final release to try to minimize the revisions.

    That said the Footnotes outputting after content will work with Gutenberg.

    For example my site runs Gutenberg and Easy Footnotes and currently works. As seen here: https://jasonyingling.me/easy-footnotes-version-1-1-0-released/

    Are you getting an error when using Easy Footnotes and Gutenberg?

Viewing 1 replies (of 1 total)
  • The topic ‘Gutenberg support’ is closed to new replies.